const stringify = (
    title = ["编号", "姓名"],
    data = [
      { id: 1, title: "a" },
      { id: 2, title: "b" },
    ]
  ) => {
    // data 规定格式 如上
    // result 想要格式 多个之前逗号隔开  `编号,姓名\n1,a\n2,b`;
    let result = title.join(",") + "\n";
    data.forEach((item) => {
      let temp = [];
      for (let key in item) {
        // key 对象的键
        // item[key] 对象的值
        temp.push(item[key]); // 将对象中的所有值都放到数组中
      }
      result += temp.join(",") + "\n";
    });
    return result;
  };
  
  const download = (filename, title, data) => {
    let str = stringify(title, data);
    //   let str = `姓名,电话,邮箱\n`;
    //   str += `老中医,189898809,所以@qq.com\n`;
    //   str += `老中医,189898809,所以@qq.com\n`;
    //   str += `老中医,189898809,所以@qq.com\n`;
    // encodeURIComponent解决中文乱码
    const uri = "data:text/csv;charset=utf-8,\ufeff" + encodeURIComponent(str);
    // 造a标签
    const link = document.createElement("a");
    link.href = uri;
    // 下载文件命名
    //   link.download = "json数据表.csv";
    link.download = `${filename}.csv`;
    // 触发下载
    link.click(); // $().trigger('click')}
  };
  
  module.exports = {
    stringify,
    download,
  };